Bug 51571 - rpm generates Segmentation fault when trying to upgrade filesystem-2.1.3-1.i386.rpm
rpm generates Segmentation fault when trying to upgrade filesystem-2.1.3-1.i3...
Status: CLOSED WORKSFORME
Product: Red Hat Public Beta
Classification: Retired
Component: filesystem (Show other bugs)
roswell
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-12 11:09 EDT by Need Real Name
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-13 00:37:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-12 11:09:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
The following is happening on my system for a redhat 7.1 installation:

[root@devin rh7-roswell]# rpm -Uvh -vv filesystem*rpm
D: counting packages to install
D: found 1 packages
D: looking for packages to download
D: retrieved 0 packages
D: Expected size:        11327 = lead(96)+sigs(160)+pad(0)+data(11071)
D:   Actual size:        11327
D: opening db index       /var/lib/rpm/Packages create mode=0x42
D: locked  db index       /var/lib/rpm/Packages
D: opening db index       /var/lib/rpm/Name create mode=0x42
D: found 0 source and 1 binary packages
D: opening db index       /var/lib/rpm/Depends create mode=0x42
D: opening db index       /var/lib/rpm/Providename create mode=0x42
D:  Requires: setup                                         YES (db
provides)
D:   NO     A rpmlib(PayloadFilesHavePrefix) <= 4.0-1   B
rpmlib(VersionedDependencies) = 3.0.3-1
D:   NO     A rpmlib(PayloadFilesHavePrefix) <= 4.0-1   B
rpmlib(CompressedFileNames) = 3.0.4-1
D:   NO     A rpmlib(PayloadFilesHavePrefix) <= 4.0-1   B
rpmlib(PayloadIsBzip2) = 3.0.5-1
D:   YES    A rpmlib(PayloadFilesHavePrefix) <= 4.0-1   B
rpmlib(PayloadFilesHavePrefix) = 4.0-1
D:  Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1       YES (rpmlib
provides)
D:   NO     A rpmlib(CompressedFileNames) <= 3.0.4-1    B
rpmlib(VersionedDependencies) = 3.0.3-1
D:   YES    A rpmlib(CompressedFileNames) <= 3.0.4-1    B
rpmlib(CompressedFileNames) = 3.0.4-1
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (rpmlib
provides)
D: opening db index       /var/lib/rpm/Conflictname create mode=0x42
D: opening db index       /var/lib/rpm/Requirename create mode=0x42
D:   YES    A filesystem = 2.1.3-1      B filesystem
D:  Requires: filesystem                                    YES (added
provide)
D:   YES    A filesystem = 2.1.3-1      B filesystem >= 2.0.1
D:  Requires: filesystem >= 2.0.1                           YES (added
provide)
D:  Requires: R filesystem                                  YES (cached)
D:  Requires: R filesystem                                  YES (cached)
D:  Requires: R filesystem >= 2.0.1                         YES (cached)
D:  Requires: R filesystem                                  YES (cached)
D: ========== recording tsort relations
D: ========== tsorting packages
D:     0 (1,1) filesystem-2.1.3-1
D: ========== successors only (presentation order)
D: installing binary packages
D: getting list of mounted filesystems
D: opening db index       /var/lib/rpm/Basenames create mode=0x42
D: opening db index       /var/lib/rpm/Group create mode=0x42
D: opening db index       /var/lib/rpm/Triggername create mode=0x42
Preparing...                Segmentation fault (core dumped)

How reproducible:
Always

Steps to Reproduce:
1.rpm -Uvh -vv filesystem*rpm
	

Actual Results:  Segmentation Fault

Additional info:
Comment 1 Bill Nottingham 2001-08-13 00:37:29 EDT
Jeff, any ideas?
Comment 2 Jeff Johnson 2001-08-13 10:33:39 EDT
Yup, bad data. rpm --rebuilddb should fix. If not, upgrade to rpm-4.0.3
from Raw Hide and do --rebuilddb. If that doesn't work, reopen this
bug, change component to rpm, and I'll get you a fix.

Note You need to log in before you can comment on or make changes to this bug.